/**
 * Data model pour les pouvoirs
 */
export default class PouvoirDataModel extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    return {
      pouvoirtype: new fields.StringField({ initial: "actif" }),
      masquetype: new fields.StringField({ initial: "masque" }),
      niveau: new fields.StringField({ initial: "normal" }),
      activation: new fields.StringField({ initial: "" }),
      istest: new fields.BooleanField({ initial: false }),
      feeriemasque: new fields.StringField({ initial: "feerie" }),
      zoneffet: new fields.StringField({ initial: "" }),
      testautre: new fields.StringField({ initial: "" }),
      carac: new fields.StringField({ initial: "pre" }),
      duree: new fields.StringField({ initial: "" }),
      cibles: new fields.StringField({ initial: "" }),
      effet: new fields.StringField({ initial: "" }),
      portee: new fields.StringField({ initial: "" }),
      resistance: new fields.StringField({ initial: "aucune" }),
      resistanceautre: new fields.StringField({ initial: "" }),
      pointsusagecourant: new fields.NumberField({ initial: -1, integer: true }),
      isvirulence: new fields.BooleanField({ initial: false }),
      virulence: new fields.StringField({ initial: "" }),
      description: new fields.HTMLField({ initial: "" })
    };
  }
}
